class StockOrderItemsController < ApplicationController
  model_data_store(StockOrderItem)

  def before_filter(filter)
    if filter[:id] == "stock_order_id"
      filter[:strict_match] = true
    end
    filter
  end

  private
    # Only allow a list of trusted parameters through.
    def model_params
      params.require(:stock_order_item).permit(:description, :item_identifier, :item_type, :quantity, :stock_order_id, :created_at, :updated_at)
    end
end
