class CreateSyncStatuses < ActiveRecord::Migration[6.0]
  def change
    create_table :sync_statuses do |t|
      t.datetime :sync_started_at
      t.datetime :sync_ended_at
      t.boolean :in_progress
      t.string :type
      t.boolean :failed
      t.text :error_message
      t.boolean :queued

      t.timestamps
    end
  end
end
