class CreateStockLenses < ActiveRecord::Migration[6.0]
  def change
    create_table :stock_lenses do |t|
      t.string :stock_number
      t.string :manufacturer_code
      t.string :manufacturer_desc
      t.string :lens_code
      t.string :lens_desc
      t.string :material_code
      t.string :material_desc
      t.string :tint_code
      t.string :tint_desc
      t.string :pretreatment_code
      t.string :pretreatment_desc
      t.string :thick_code
      t.string :sph
      t.string :cyl
      t.string :add
      t.string :dia
      t.string :rt_opc
      t.string :lt_opc
      t.boolean :active

      t.timestamps
    end
  end
end
