import {observer} from 'mobx-react-lite';
import * as React from 'react';
import {FieldMap, OrderFieldProps} from "../../../stores/_FieldConstants";
import {GenericInput} from "./GenericInput";

export const GeneratedField: React.FunctionComponent<OrderFieldProps> = observer(props => {
    const Component = FieldMap[props.field.name.toLowerCase()] || GenericInput;
    return <Component {...props}/>
});