class CreateStockOrders < ActiveRecord::Migration[6.0]
  def change
    create_table :stock_orders do |t|
      t.string :order_number
      t.string :reference_number
      t.string :po_number
      t.datetime :date_ordered
      t.datetime :date_completed
      t.bigint :user_id
      t.references :customer, foreign_key: true
      t.references :shipping_method, foreign_key: true

      t.timestamps
    end
  end
end
